<h1 align="center">
  ▸[<a href="https://github.com/sayanarijit/xplr/blob/main/assets/icon/xplr.svg" target="_blank"><img src="https://s3.gifyu.com/images/xplr32.png" alt="▓▓" height="20" width="20" /></a> xplr]
</h1>

<p align="center">
A hackable, minimal, fast TUI file explorer
</p>

<p align="center">

<a href="https://crates.io/crates/xplr" target="_blank">
<img src="https://img.shields.io/crates/v/xplr.svg" />
</a>

<a href="https://github.com/sayanarijit/xplr/commits" target="_blank">
<img src="https://img.shields.io/github/commit-activity/m/sayanarijit/xplr" />
</a>

<a href="https://discord.gg/JmasSPCcz3" target="_blank">
<img src="https://img.shields.io/discord/834369918312382485?logo=discord&style=social" />
</a>

</p>

<p align="center">
<img src="https://s3.gifyu.com/images/xplr-0.5.0.gif" />
</p>

`xplr` is a terminal UI based file explorer that aims to increase our terminal
productivity by being a flexible, interactive orchestrator for the ever growing
awesome command-line utilities that work with the file-system.

To achieve its goal, `xplr` strives to be a fast, minimal and more importantly,
hackable file explorer.

`xplr` is not meant to be a replacement for the standard shell commands or the
GUI file managers. Rather, it aims to integrate them all and expose an
intuitive, scriptable, keyboard controlled, real-time visual interface, also
being an ideal candidate for further integration, enabling the users to achieve
insane terminal productivity.

Table of content
----------------

- [Introduction](https://arijitbasu.in/xplr/en/introduction.html)
- [Quickstart](https://arijitbasu.in/xplr/en/quickstart.html)
  - [Install](https://arijitbasu.in/xplr/en/install.html)
  - [Post Install](https://arijitbasu.in/xplr/en/post-install.html)
- [Configuration](https://arijitbasu.in/xplr/en/configuration.html)
  - [General Config](https://arijitbasu.in/xplr/en/general-config.html)
  - [Modes](https://arijitbasu.in/xplr/en/modes.html)
  - [Message](https://arijitbasu.in/xplr/en/message.html)
  - [Layouts](https://arijitbasu.in/xplr/en/layouts.html)
  - [Node Types](https://arijitbasu.in/xplr/en/node_types.html)
  - [Style](https://arijitbasu.in/xplr/en/style.html)
  - [Sorting](https://arijitbasu.in/xplr/en/sorting.html)
  - [Filtering](https://arijitbasu.in/xplr/en/filtering.html)
  - [Column Renderer](https://arijitbasu.in/xplr/en/column-renderer.html)
- [Default Key Bindings](https://arijitbasu.in/xplr/en/default-key-bindings.html)
- [Plugin](https://arijitbasu.in/xplr/en/plugin.html)
  - [Installing Plugins](https://arijitbasu.in/xplr/en/installing-plugins.html)
  - [Writing Plugins](https://arijitbasu.in/xplr/en/writing-plugins.html)
  - [Awesome Plugins](https://arijitbasu.in/xplr/en/awesome-plugins.html)
- [Integration](https://arijitbasu.in/xplr/en/integration.html)
  - [Awesome Integrations](https://arijitbasu.in/xplr/en/awesome-integrations.html)
- [TODO](https://arijitbasu.in/xplr/en/todo.html)
- [Alternatives](https://arijitbasu.in/xplr/en/alternatives.html)
- [Upgrade Guide](https://arijitbasu.in/xplr/en/upgrade-guide.html)
- [Community](https://arijitbasu.in/xplr/en/community.html)
- [Contribute](https://arijitbasu.in/xplr/en/contribute.html)


Introductions & Reviews
-----------------------

- [[VIDEO] XPLR: Insanely Hackable Lua File Manager ~ Brodie Robertson](https://youtu.be/MaVRtYh1IRU)


Packaging
---------

<a href="https://repology.org/project/xplr/versions" target="_blank"><img src="https://repology.org/badge/vertical-allrepos/xplr.svg" /></a>


Backers
-------

<a href="https://opencollective.com/xplr#backer" target="_blank"><img src="https://opencollective.com/xplr/tiers/backer.svg?width=890" /></a>
